
From: Fabrice Menard <menard.fabrice@wanadoo.fr>

Trying to solve my latin1 char problems with the framebuffer console, I
found that fbcon doesn't set a unicode map.


---

 25-akpm/drivers/video/console/fbcon.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/video/console/fbcon.c~fbcon-and-unimap drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~fbcon-and-unimap	2004-04-26 19:44:50.810445480 -0700
+++ 25-akpm/drivers/video/console/fbcon.c	2004-04-26 19:44:50.814444872 -0700
@@ -609,6 +609,7 @@ static void fbcon_init(struct vc_data *v
 		fb_display[unit].scrollmode = SCROLL_YNOMOVE;
 	else
 		fb_display[unit].scrollmode = SCROLL_YREDRAW;
+	con_set_default_unimap(unit);
 	fbcon_set_display(vc, init, !init);
 }
 

_
